PETSc version 3.17.4
Fix/Edit manual page

# TSGetMaxSteps

Gets the maximum number of steps to use.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetMaxSteps(TS ts,PetscInt *maxsteps)

Not Collective

### Input Parameters

| ts | - the TS context obtained from TSCreate()

### Output Parameter

| maxsteps | - maximum number of steps to use

### See Also

TSSetMaxSteps(), TSGetMaxTime(), TSSetMaxTime()

### Level

advanced

### Location

src/ts/interface/ts.c

### Examples

src/ts/utils/dmplexlandau/tutorials/ex2.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages